Bug 1472468 - Update to Mozilla ca-certificates version 2.16, removes all code signing trust bits
Update to Mozilla ca-certificates version 2.16, removes all code signing trus...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: ca-certificates (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 16:10 EDT by Kai Engert (:kaie)
Modified: 2017-08-23 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2017-07-18 16:10:14 EDT
We must update to ca-certificates version 2.16, as required by future Firefox 56.

The update will remove all code signing trust bits, see
https://bugzilla.mozilla.org/show_bug.cgi?id=1366243
https://groups.google.com/forum/#!topic/mozilla.dev.security.policy/004uvRRnVyY

Please help testing the update for this bug, which will be kept in updates-testing for several weeks, and please report any regressions it causes.
Comment 1 Fedora Update System 2017-07-19 09:16:17 EDT
ca-certificates-2017.2.16-1.0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4cacf8fe60
Comment 2 Fedora Update System 2017-07-19 09:16:26 EDT
ca-certificates-2017.2.16-1.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b67562744
Comment 3 Fedora Update System 2017-07-19 20:27:19 EDT
ca-certificates-2017.2.16-1.0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4cacf8fe60
Comment 4 Fedora Update System 2017-07-20 02:53:41 EDT
ca-certificates-2017.2.16-1.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b67562744
Comment 5 Jan Kurik 2017-08-15 05:25:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 6 Fedora Update System 2017-08-23 15:51:22 EDT
ca-certificates-2017.2.16-1.0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-08-23 20:51:56 EDT
ca-certificates-2017.2.16-1.0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.